/*
 * This software is the confidential and proprietary information of
 * Smardec. You shall not disclose or distribute such Confidential Information.
 * This software shall not be integrated, copied (partially or fully),
 * or reverse engineered into any other software, program, or code that is
 * not intended for Smardec. You shall use it only in accordance with the terms
 * of the license agreement you entered into with Smardec.
 *
 * Copyright (C) 2004-2006 Smardec. All rights reserved.
 *
 * http://www.smardec.com
 *
 */

package com.smardec.demo.j2native.win32.regviewer;

public class RWConstants {
    public static final int HKEY_CLASSES_ROOT = 0x80000000;
    public static final int HKEY_CURRENT_USER = 0x80000001;
    public static final int HKEY_LOCAL_MACHINE = 0x80000002;
    public static final int HKEY_USERS = 0x80000003;
    public static final int HKEY_CURRENT_CONFIG = 0x80000005;

    public static final int ERROR_NO_MORE_ITEMS = 259;
    public static final int ERROR_SUCCESS = 0;

    public static final int REG_NONE = 0; // No value type
    public static final int REG_SZ = 1;   // Unicode nul terminated string
    public static final int REG_EXPAND_SZ = 2;  // Unicode nul terminated string
    // (with environment variable references)
    public static final int REG_BINARY = 3;   // Free form binary
    public static final int REG_DWORD = 4;   // 32-bit number
    public static final int REG_DWORD_BIG_ENDIAN = 5;   // 32-bit number
    public static final int REG_LINK = 6;   // Symbolic Link (unicode)
    public static final int REG_MULTI_SZ = 7;   // Multiple Unicode strings
    public static final int REG_RESOURCE_LIST = 8;   // Resource list in the resource map
    public static final int REG_FULL_RESOURCE_DESCRIPTOR = 9;  // Resource list in the hardware description
    public static final int REG_RESOURCE_REQUIREMENTS_LIST = 10;

    private RWConstants() {
    }
}
